"""Constants for this package."""

# Knob prefix to add to all smartEdit knobs to identify them.
SMART_EDIT = "smartEdit"

# Name of the String_Knob knob that contains the knob to store for quick info.
INFO_KNOB = "{}_knob_{{}}".format(SMART_EDIT)

# Name of the PyScript_Knob that removes the given knob info from the current
# node.
REMOVE_KNOB = "{}_remove_{{}}".format(SMART_EDIT)

# Message to display to the user in case no mapping to the current Nuke knob
# was found.
NO_MAPPING_FOUND = (
    "No knob mapping found for the knob '{name}' ({type_}). "
    "A custom widget needs to be mapped to this knob class in "
    "smartEdit.knob_mapper.MAP"
)
